Open CASCADE Technology: BRepMesh_CircleTool Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
BRepMesh_CircleTool Class Reference

Create sort and destroy the circles used in triangulation.
More...

`#include <BRepMesh_CircleTool.hxx>`

## Public Member Functions
| BRepMesh_CircleTool (const Handle< NCollection_IncAllocator > &theAllocator)
| Constructor. More...
| BRepMesh_CircleTool (const Standard_Integer theReservedSize, const Handle< NCollection_IncAllocator > &theAllocator)
| Constructor. More...
void | Init (const Standard_Integer)
| Initializes the tool. More...
void | SetCellSize (const Standard_Real theSize)
| Sets new size for cell filter. More...
void | SetCellSize (const Standard_Real theSizeX, const Standard_Real theSizeY)
| Sets new size for cell filter. More...
void | SetMinMaxSize (const gp_XY &theMin, const gp_XY &theMax)
| Sets limits of inspection area. More...
void | Bind (const Standard_Integer theIndex, const gp_Circ2d &theCircle)
| Binds the circle to the tool. More...
Standard_Boolean | Bind (const Standard_Integer theIndex, const gp_XY &thePoint1, const gp_XY &thePoint2, const gp_XY &thePoint3)
| Computes circle on three points and bind it to the tool. More...
void | MocBind (const Standard_Integer theIndex)
| Binds implicit zero circle. More...
void | Delete (const Standard_Integer theIndex)
| Deletes a circle from the tool. More...
BRepMesh::ListOfInteger & | Select (const gp_XY &thePoint)
| Select the circles shot by the given point. More...

## Static Public Member Functions
static Standard_Boolean | MakeCircle (const gp_XY &thePoint1, const gp_XY &thePoint2, const gp_XY &thePoint3, gp_XY &theLocation, Standard_Real &theRadius)
| Computes circle on three points. More...

## Detailed Description

Create sort and destroy the circles used in triangulation.

## Constructor & Destructor Documentation

BRepMesh_CircleTool::BRepMesh_CircleTool | ( | const Handle< NCollection_IncAllocator > & | theAllocator | ) |

Constructor.

Parameters

  theAllocator | memory allocator to be used by internal structures.

BRepMesh_CircleTool::BRepMesh_CircleTool | ( | const Standard_Integer | theReservedSize,
|  | const Handle< NCollection_IncAllocator > & | theAllocator
| ) |  |

Constructor.

Parameters

  theReservedSize | size to be reserved for vector of circles.
  theAllocator | memory allocator to be used by internal structures.

## Member Function Documentation

void BRepMesh_CircleTool::Bind | ( | const Standard_Integer | theIndex,
|  | const gp_Circ2d & | theCircle
| ) |  |

Binds the circle to the tool.

Parameters

  theIndex | index a circle should be bound with.
  theCircle | circle to be bound.

Standard_Boolean BRepMesh_CircleTool::Bind | ( | const Standard_Integer | theIndex,
|  | const gp_XY & | thePoint1,
|  | const gp_XY & | thePoint2,
|  | const gp_XY & | thePoint3
| ) |  |

Computes circle on three points and bind it to the tool.

Parameters

  theIndex | index a circle should be bound with.
  thePoint1 | first point.
  thePoint2 | second point.
  thePoint3 | third point.

Returns
  FALSE in case of impossibility to build a circle on the given points, TRUE elsewhere.

void BRepMesh_CircleTool::Delete | ( | const Standard_Integer | theIndex | ) |

Deletes a circle from the tool.

Parameters

  theIndex | index of a circle to be removed.

void BRepMesh_CircleTool::Init | ( | const Standard_Integer |  | ) |
| inline

Initializes the tool.

Parameters

  theReservedSize | size to be reserved for vector of circles.

static Standard_Boolean BRepMesh_CircleTool::MakeCircle | ( | const gp_XY & | thePoint1,
|  | const gp_XY & | thePoint2,
|  | const gp_XY & | thePoint3,
|  | gp_XY & | theLocation,
|  | Standard_Real & | theRadius
| ) |  |
| static

Computes circle on three points.

Parameters

  | thePoint1 | first point.
  | thePoint2 | second point.
  | thePoint3 | third point.
  [out] | theLocation | center of computed circle.
  [out] | theRadius | radius of computed circle.

Returns
  FALSE in case of impossibility to build a circle on the given points, TRUE elsewhere.

void BRepMesh_CircleTool::MocBind | ( | const Standard_Integer | theIndex | ) |

Binds implicit zero circle.

Parameters

  theIndex | index a zero circle should be bound with.

BRepMesh::ListOfInteger& BRepMesh_CircleTool::Select | ( | const gp_XY & | thePoint | ) |

Select the circles shot by the given point.

Parameters

  thePoint | bullet point.

void BRepMesh_CircleTool::SetCellSize | ( | const Standard_Real | theSize | ) |
| inline

Sets new size for cell filter.

Parameters

  theSize | cell size to be set for X and Y dimensions.

void BRepMesh_CircleTool::SetCellSize | ( | const Standard_Real | theSizeX,
|  | const Standard_Real | theSizeY
| ) |  |
| inline

Sets new size for cell filter.

Parameters

  theSizeX | cell size to be set for X dimension.
  theSizeY | cell size to be set for Y dimension.

void BRepMesh_CircleTool::SetMinMaxSize | ( | const gp_XY & | theMin,
|  | const gp_XY & | theMax
| ) |  |
| inline

Sets limits of inspection area.

Parameters

  theMin | bottom left corner of inspection area.
  theMax | top right corner of inspection area.

The documentation for this class was generated from the following file:

- BRepMesh_CircleTool.hxx